Get current installation info
curl --request GET \
--url https://api-dev.narrative.io/installations/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/installations/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/installations/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12345
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Installations
Get current installation info
Returns information about the installation associated with the current authentication token.
This endpoint is useful for apps to identify which installation they are operating under. The token must be associated with an installation (e.g., an app token).
GET
/
installations
/
whoami
Get current installation info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successfully retrieved installation information.
Information about the current installation context (from token).
The installation ID associated with the current token.
Example:
12345
Was this page helpful?

